<?php
// #Giriş Kontrol
if ($_GET["login"]=="ok"){
	$logData = createLogData('login', 'success', 'Giriş Başarılı');
	$logColor="success";
}elseif (substr($_GET["drm"],0,4)=="hata"){
	$logData = createLogData('login', 'danger', 'Giriş hata');
	$logColor="danger";
}elseif ($_GET["islem"]=="cikis"){
	$logData = createLogData('logout', 'warning', 'Güvenli Çıkış Yapıldı');
	$logColor="warning";
}

// #Siparişler
if ($_GET["ne"]=="eticaret" and $_GET["durum"]=="onay" and $_GET["s4"]<>""){
	if($_GET["s4"]==0){
		$ai="".$rsi["t4"]." ".ctranslate("Nolu Sipariş Beklemede");
	}elseif($_GET["s4"]==1){
		$ai="".$rsi["t4"]." ".ctranslate("Nolu Sipariş Onaylandı");
	}elseif($_GET["s4"]==2){
		$ai="".$rsi["t4"]." ".ctranslate("Nolu Sipariş İptal");
	}elseif($_GET["s4"]==3){
		$ai="".$rsi["t4"]." ".ctranslate("Nolu Sipariş Sevkiyatta");
	}elseif($_GET["s4"]==4){
		$ai="".$rsi["t4"]." ".ctranslate("Nolu Sipariş Tamamlandı");
	}elseif($_GET["s4"]==5){
		$ai="".$rsi["t4"]." ".ctranslate("Nolu Sipariş İade");
	}
	$logData = createLogData('orders', 'warning', $ai);
	$logColor="warning";
}elseif ($_GET["ne"]=="eticaret" and $_GET["durum"]=="sil"){
	$ai="<del>#".$_GET["id"]." ".ctranslate("Sipariş Silindi")."<del>";
	$logData = createLogData('orders', 'danger', $ai);
	$logColor="danger";
}

if (($_GET["islem"]=="fmesaj" or $_GET["islem"]=="request") and $_GET["durum"]=="isle"){
	$ai="#".$_GET["id"]." ".ctranslate("Talep")." ".translate("#".$_GET['islem']."_statu".$_POST["s4"]."");
	$logData = createLogData('request', 'warning', $ai);
	$logColor="warning";
}elseif (($_GET["islem"]=="fmesaj" or $_GET["islem"]=="request") and $_GET["durum"]=="s4"){
	$ai="#".$_GET["id"]." ".ctranslate("Talep")." ".translate("#".$_GET['islem']."_statu".$_GET["s4"]."");
	$logData = createLogData('request', 'warning', $ai);
	$logColor="warning";
}elseif (($_GET["islem"]=="fmesaj" or $_GET["islem"]=="request") and $_GET["durum"]=="smesaj"){
	$ai="#".$_GET["id"]." ".ctranslate("Talep Silindi");
	$logData = createLogData('request', 'danger', $ai);
	$logColor="danger";
}

// #Ayarlar
if ($_GET["islem"]=="ayarlar" and $_GET["durum"]=="kaydet"){
	$ai=ctranslate("Genel Ayarlar Guncellendi");
	$logData = createLogData('settings', 'warning', $ai);
	$logColor="warning";
}elseif ($_GET["islem"]=="ayarlar" and $_GET["durum"]=="dsifre"){
	$ai=ctranslate("Sifre Guncellendi");
	$logData = createLogData('password', 'warning', $ai);
	$logColor="warning";
}elseif ($_GET["islem"]=="design" and $_GET["durum"]=="kaydet"){
	$ai=ctranslate("Tasarim Guncellendi");
	$logData = createLogData('design', 'warning', $ai);
	$logColor="warning";
}elseif ($_GET["islem"]=="sdil" and $_GET["durum"]=="ekle"){
	$ai="".$_POST["x20"]." ".ctranslate("Kelime Eklendi");
	$logData = createLogData('translate', 'success', $ai);
	$logColor="success";
}elseif ($_GET["islem"]=="sdil" and $_GET["durum"]=="duzenle"){
	$ai="".$_POST["x20"]." ".ctranslate("Kelime Guncellendi");
	$logData = createLogData('translate', 'warning', $ai);
	$logColor="warning";
}elseif ($_GET["islem"]=="sdil" and $_GET["durum"]=="sil"){
	$ai="<del>#".$_GET["id"]." ".ctranslate("Kelime Silindi")."</del>";
	$logData = createLogData('translate', 'danger', $ai);
	$logColor="danger";
}

// #Medya
if ($_GET["durum"]=="uploadimage" or $_GET["islem"]=="dragdrop" or $_GET["durum"]=="addimage" or $_GET["durum"]=="addsample"){
	$ai="#".$_GET["id"]." ".kisalt($_POST["t2_1"],20)." ".ctranslate("Resim Eklendi");
	$logData = createLogData($_GET["durum"], 'success', $ai);
	$logColor="success";
}elseif ($_GET["durum"]=="uploadfile"){
	$ai="#".$_GET["id"]." ".kisalt($_POST["t2"],20)." ".ctranslate("Dosya Eklendi");
	$logData = createLogData($_GET["durum"], 'success', $ai);
	$logColor="success";
}elseif ($_GET["durum"]=="addvideo"){
	$ai="#".$_GET["id"]." ".kisalt($_POST["t2"],20)." ".ctranslate("Video Eklendi");
	$logData = createLogData($_GET["durum"], 'success', $ai);
	$logColor="success";
}elseif ($_GET["durum"]=="medit"){
	$ai="#".$_GET["mid"]." > #".$_GET["id"]." ".kisalt($_POST["t2"],20)." ".ctranslate("".ihb($_GET["nedir"])." Duzenlendi");
	$logData = createLogData($_GET["durum"], 'warning', $ai);
	$logColor="warning";
}elseif ($_GET["durum"]=="msil"){
	$ai="<del>#".$_GET["mid"]." > #".$_GET["id"]." ".ctranslate("".ihb($_GET["nedir"])." Silindi")."</del>";
	$logData = createLogData($_GET["durum"], 'danger', $ai);
	$logColor="danger";
}elseif ($_GET["durum"]=="slide" and $_GET["id"]==""){
	$ai="".kisalt($_POST["t6"],20)." ".ctranslate("Slide Eklendi");
	$logData = createLogData('slider', 'success', $ai);
	$logColor="success";
}elseif ($_GET["durum"]=="slide" and $_GET["id"]<>""){
	$ai="#".$_GET["id"]." ".kisalt($_POST["t6"],20)." ".ctranslate("Slide Düzenlendi");
	$logData = createLogData('slider', 'warning', $ai);
	$logColor="warning";
}elseif ($_GET["durum"]=="ssil"){
	$ai="#".$_GET["sid"]." ".ctranslate("Slide Silindi");
	$logData = createLogData('slider', 'danger', $ai);
	$logColor="danger";
}elseif (($_GET["ne"]=="logo" and $_GET["islem"]=="ulogo") or ($_GET["ne"]=="favicon" and $_GET["islem"]=="ulogo") or ($_GET["ne"]=="stamp" and $_GET["islem"]=="ulogo")){
	$ai="".ctranslate("".ihb($_GET["ne"])." Guncellendi");
	$logData = createLogData(ihb($_GET["ne"]), 'success', $ai);
	$logColor="success";
}elseif (($_GET["ne"]=="logo" and $_GET["islem"]=="dlogo") or ($_GET["ne"]=="favicon" and $_GET["islem"]=="dlogo") or ($_GET["ne"]=="stamp" and $_GET["islem"]=="dlogo")){
	$ln1="<del>".ctranslate("".ihb($_GET["ne"])." Silindi")."</del>";
	$logData = createLogData(ihb($_GET["ne"]), 'danger', $ai);
	$logColor="danger";
}

// #Yeni İçerik
if ($_GET["durum"]=="addclient" or $_GET["durum"]=="addpage" or $_GET["durum"]=="addproduct" or $_GET["durum"]=="ygorev" or $_GET["durum"]=="yservis" or $_GET["durum"]=="yreklam" or $_GET["durum"]=="yform"){
	$ai="".ctranslate("".$nedir." Eklendi")." {".$_POST["t1"].$_POST["ut1"]."}";
	$logData = createLogData($nedir, 'success', $ai);
	$logColor="success";
}

if ($_GET["durum"]=="yfatura" or $_GET["durum"]=="yservice"){
	$ai="#".$_POST["s1"]." ".ctranslate("".$nedir." Eklendi");
	$logData = createLogData($nedir, 'success', $ai);
	$logColor="success";
}

// #İçerik Güncelleme
if (($_GET["islem"]=="duye" or $_GET["islem"]=="dhaber" or $_GET["islem"]=="dgorev" or $_GET["islem"]=="dsayfa" or $_GET["islem"]=="dkayit" or $_GET["islem"]=="dservice" or substr($_GET["islem"],1,6)=="fatura" or $_GET["islem"]=="dreklam" or $_GET["islem"]=="dform") and $_GET["durum"]=="kaydet"){
	if (($_GET["islem"]=="dhaber" or $_GET["islem"]=="dsayfa" or $_GET["islem"]=="dkayit" or $_GET["islem"]=="dservice" or substr($_GET["islem"],1,6)=="fatura" or $_GET["islem"]=="dreklam") and $_GET["durum"]=="kaydet"){
		$ai="#".$_GET["id"]." ".ihb($nedir)." ".ctranslate("Güncellendi")." {".$_POST["t1"]."}";
	}elseif (($_GET["islem"]=="duye" or $_GET["islem"]=="dgorev") and $_GET["durum"]=="kaydet"){
		$ai="#".$_GET["id"]." ".ihb($nedir)." ".ctranslate("Güncellendi")." {".$_POST["ut1"]."}";
	}elseif (($_GET["islem"]=="dform") and $_GET["durum"]=="kaydet"){
		$ai="#".$_GET["id"]." ".ctranslate("Form Güncellendi")." {".$_POST["m1"]."}";
	}	
	$logData = createLogData($nedir, 'warning', $ai);
	$logColor="warning";
}

// #İçerik Silme
$validDurumlar = ["shaber", "ssayfa", "smuhasebe", "skayit", "suye", "sservis", "sreklam", "sform", "sgorev"];
if (in_array($_GET["durum"], $validDurumlar)) {
    $ai = "<del>#".$_GET["id"]." ".ihb($nedir)." ".ctranslate("Silindi")." {".$lt1."}<del>";
    $logData = createLogData($nedir, 'danger', $ai);
    $logColor = "danger";
}

// #Üye Hesap
if ($_GET["durum"]=="ycari"){
	$ai="#".$_GET["id"]." ".$cariname." ".translate("İşlem Eklendi")." {".$lt1."}";
	$logData = createLogData('current', 'success', $ai);
	$logColor="success";
}elseif ($_GET["durum"]=="kcari"){
	$ai="#".$_GET["id"]." ".$cariname." ".translate("İşlem Güncellendi")." {".$lt1."}";
	$logData = createLogData('current', 'warning', $ai);
	$logColor="warning";
}elseif ($_GET["durum"]=="scari"){
	$ai="<del>#".$_GET["id"]." ".$cariname." ".translate("İşlem Silindi")." {".$lt1."}<del>";
	$logData = createLogData('current', 'danger', $ai);
	$logColor="danger";
}

// #Üye Hizmet
if ($_GET["durum"]=="yhizmet"){
	$ai="#".$_GET["id"]." ".$cariname." ".ctranslate("Plan Eklendi")." {".$lt1."}";
	$logData = createLogData('plan', 'success', $ai);
	$logColor="success";
}elseif ($_GET["durum"]=="ghizmet"){
	$ai="#".$_GET["id"]." ".$cariname." ".ctranslate("Plan Güncellendi")." {".$lt1."}";
	$logData = createLogData('plan', 'warning', $ai);
	$logColor="warning";
}elseif ($_GET["durum"]=="shizmet"){
	$ai="<del>#".$_GET["id"]." ".$cariname." ".ctranslate("Plan Silindi")." {".$lt1."}<del>";
	$logData = createLogData('plan', 'danger', $ai);
	$logColor="danger";
}

// #Relations
if ($_GET["durum"]=="nrelations"){
	$ai="#".$s1." ".$s1name." ".ctranslate("İlişki Eklendi")." {".$lt1."}";
	$logData = createLogData('relation', 'success', $ai);
	$logColor="success";
}elseif ($_GET["durum"]=="drelations"){
	$ai="<del>#".$_GET["id"]." ".ctranslate("İlişki Silindi")."<del>";
	$logData = createLogData('relation', 'danger', $ai);
	$logColor="danger";
}

// #Xls
if ($_GET["durum"]=="import"){
	$ai="".$_GET["ne"]." .xls Import";
	$logData = createLogData('xls', 'success', $ai);
	$logColor="success";
}elseif ($_GET["durum"]=="exls"){
	$ai="".$_GET["ne"]." .xls Export";
	$logData = createLogData('xls', 'warning', $ai);
	$logColor="warning";
}

// #Not
if ($_GET["durum"]=="enot"){
	$ai="".$_POST["t1"]." ".ctranslate("Etkinlik Eklendi");
	$logData = createLogData('event', 'success', $ai);
	$logColor="success";
}elseif ($_GET["durum"]=="dnot"){
	$ai="#".$_POST["t1"]." ".ctranslate("Etkinlik Guncellendi");
	$logData = createLogData('event', 'warning', $ai);
	$logColor="warning";
}elseif ($_GET["durum"]=="snot"){
	$ai="<del>#".$_GET["id"]." ".ctranslate("Etkinlik Silindi")."<del>";
	$logData = createLogData('event', 'danger', $ai);
	$logColor="danger";
}

// #Tanım
if ($_GET["islem"]=="tanimlar" and $_GET["durum"]=="ekle"){
	$ai="".$yeni." ".$_POST["t2"]." ".ctranslate("Tanım Eklendi");
	$logData = createLogData('defination', 'success', $ai);
	$logColor="success";
}elseif ($_GET["islem"]=="tanimlar" and $_GET["durum"]=="duzenle"){
	$ai="#".$_GET["id"]." ".$_POST["t2"]." ".ctranslate("Tanım Guncellendi");
	$logData = createLogData('defination', 'warning', $ai);
	$logColor="warning";
}elseif ($_GET["islem"]=="tanimlar" and $_GET["durum"]=="sil"){
	$ai="#".$_GET["id"]." ".$_POST["t2"]." ".ctranslate("Tanım Silindi");
	$logData = createLogData('defination', 'danger', $ai);
	$logColor="danger";
}

// #Toplu Mesaj
if ($_GET["islem"]=="tmail"){
	$ai="".$x." ".ctranslate("Başarılı")." | ".$y." ".ctranslate("Başarısız")." E-mail Gonderildi";
	$logData = createLogData('tmail', 'info', $ai);
	$logColor="info";
}

// Logu JSON dosyasına kaydet
if (!empty($logData)) {
	logToJson($logData);
	echo "logged";
	sendLogData();
}

function createLogData($action, $action_color, $ai) {
	global $ln2;
    return [
        'user_id' => $_SESSION['user_id'] ?? 'anonymous',
        'user' => $_SESSION['user'] ?? 'anonymous',
        'action' => $action,
        'action_color' => $action_color,
        'ip' => $_SERVER['REMOTE_ADDR'],
        'additional_info' => $ai,
        'additional_detail' => $ln2
    ];
}

function logToJson($logData) {
    $date = date('Y-m-d'); // Bugünün tarihi
    $logFile = findDirectoryPath("deppo")."/logs/log_" . $date . ".json"; // Dosya adı, tarih formatında
    $logDir = findDirectoryPath("deppo")."/logs"; // Log dosyalarının tutulacağı klasör
    // Log dizini yoksa oluştur
    if (!file_exists($logDir)) {
        mkdir($logDir, 0755, true);
    }
    // Eğer dosya mevcutsa, mevcut veriyi oku
    if (file_exists($logFile)) {
        $existingData = json_decode(file_get_contents($logFile), true);
    } else {
        // Dosya yoksa boş bir dizi oluştur
        $existingData = [];
    }
    // Yeni log kaydını mevcut veriye ekle
    $logData['timestamp'] = date('Y-m-d H:i:s'); // Log zaman damgası
    $existingData[] = $logData; // Yeni log verisini ekle
    // JSON verisini dosyaya yaz
    file_put_contents($logFile, json_encode($existingData, JSON_UNESCAPED_UNICODE | JSON_UNESCAPED_SLASHES | JSON_NUMERIC_CHECK));
}
?>